跳转到主要内容
GET
/
v1
/
schedules
列出计划
curl --request GET \
  --url https://api.olostep.com/v1/schedules \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.olostep.com/v1/schedules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.olostep.com/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "schedules": [
    {
      "team_id": "<string>",
      "schedule_id": "<string>",
      "endpoint": "<string>",
      "payload": {},
      "cron_expression": "<string>",
      "execute_at": "2023-11-07T05:31:56Z",
      "expression_timezone": "<string>",
      "text": "<string>",
      "schedule_name": "<string>",
      "schedule_group": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

授权

Authorization
string
header
必填

Bearer身份验证头的格式为Bearer ,其中是你的认证令牌。

查询参数

include_deleted
enum<string>
默认值:false

设置为 'true' 以在响应中包含已删除的计划。默认情况下,已删除的计划会被过滤掉。

可用选项:
true,
false

响应

成功响应,包含计划列表。

schedules
object[]

计划对象的数组

count
integer

计划的总数